com.streambase.liveview.client

## Enum OrderDefinition.Direction

- java.lang.Object
- - java.lang.Enum<OrderDefinition.Direction>
  - - com.streambase.liveview.client.OrderDefinition.Direction

- All Implemented Interfaces:
    Serializable, Comparable<OrderDefinition.Direction>
  Enclosing class:
    OrderDefinition

      public static enum OrderDefinition.Direction
      extends Enum<OrderDefinition.Direction>

  The direction enum defines the legal directions available, and a reverse helper method.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCENDING`
    `DESCENDING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract OrderDefinition.Direction` | `reverse()`
    `String` | `toString()`
    `static OrderDefinition.Direction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OrderDefinition.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCENDING

          public static final OrderDefinition.Direction ASCENDING

    - #### DESCENDING

          public static final OrderDefinition.Direction DESCENDING

  - ### Method Detail

    - #### values

          public static OrderDefinition.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OrderDefinition.Direction c : OrderDefinition.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OrderDefinition.Direction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### reverse

          public abstract OrderDefinition.Direction reverse()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<OrderDefinition.Direction>`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.